Bug 191733 - libsemanage fails to build with mock
libsemanage fails to build with mock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libsemanage (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-15 11:11 EDT by n0dalus
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.6.7-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 23:34:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Build log (18.19 KB, text/plain)
2006-05-15 11:11 EDT, n0dalus
no flags Details
BuildRequires Patch (495 bytes, patch)
2006-05-15 11:12 EDT, n0dalus
no flags Details | Diff

  None (edit)
Description n0dalus 2006-05-15 11:11:07 EDT
Description of problem:
libsemanage fails to build with mock.

Version-Release number of selected component (if applicable):
libsemanage-1.6.7-1.src.rpm

Build fails with error:
boolean_record.c:9:34: error: sepol/boolean_record.h: No such file or directory

And after adding buildrequires libsepol-devel:
semanageswig_wrap.c:112:20: error: Python.h: No such file or directory

Attached is patch to add buildrequires for libsepol-devel and python-devel.
Comment 1 n0dalus 2006-05-15 11:11:07 EDT
Created attachment 129072 [details]
Build log
Comment 2 n0dalus 2006-05-15 11:12:10 EDT
Created attachment 129073 [details]
BuildRequires Patch
Comment 3 Daniel Walsh 2006-05-15 12:07:36 EDT
patch applied in 1.6.7-3

Thanks
Comment 4 Matt Domsch 2006-05-23 23:34:35 EDT
libsemanage-1.6.7-3.src.rpm builds on i386 and x86_64.

Note You need to log in before you can comment on or make changes to this bug.